fprintf(2, 'Cleaning... ');
dirpath = fileparts(mfilename('fullpath'));
[status, cmdout] = unix(sprintf('cd "%s/../" && make clean', dirpath));
if(status ~= 0);
    error('Error. Status: %d, message: %s', status, cmdout);
else
    fprintf(2, 'DONE.\n');
end